Windows Installer 2.6.0 and Ptyhon Scripts

classic Classic list List threaded Threaded
2 messages Options
J L
Reply | Threaded
Open this post in threaded view
|

Windows Installer 2.6.0 and Ptyhon Scripts

J L
Hi,

I've recently downloaded the 2.6.0 windows installer and am glad to see that
some progress has been made in trying to get the Python scripts functional.

Regarding the context-menu or the menu that pops up on right-clicking a .ly
file, the lilywins command should be modified to: (extension removed from
/bin/lily-wins)
C:\cygwin\bin\bash.exe --login -c '/bin/lily-wins "%1"'

I have also modified mine so that convert-ly is easily usable. The path to
the python interpreter and the path to LilyPond should be dealt with by the
installer.
"C:\Python24\Python.exe" "C:\Program Files\LilyPond\usr\bin\convert-ly.py"
-e  "%1"

Also, it would be helpful to add
sys.stdin.readline()
statements in the python scripts in places where they are likely to
terminate, to make them more userfriendly.

Aligorith

_________________________________________________________________
Need more speed? Get Xtra Broadband @
http://jetstream.xtra.co.nz/chm/0,,202853-1000,00.html



_______________________________________________
lilypond-user mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-user
Reply | Threaded
Open this post in threaded view
|

Re: Windows Installer 2.6.0 and Ptyhon Scripts

Mats Bengtsson-6



Quoting J L <[hidden email]>:

> Hi,
>
> I've recently downloaded the 2.6.0 windows installer and am glad to see that
> some progress has been made in trying to get the Python scripts functional.
>
> Regarding the context-menu or the menu that pops up on right-clicking a .ly
> file, the lilywins command should be modified to: (extension removed from
> /bin/lily-wins)
> C:\cygwin\bin\bash.exe --login -c '/bin/lily-wins "%1"'

This will certainly not run the 2.6.0 program, which has nothing
to do with Cygwin (although there seems to be plans to do a
Cygwin version too, sooner or later).


> I have also modified mine so that convert-ly is easily usable. The path to
> the python interpreter and the path to LilyPond should be dealt with by the
> installer.
> "C:\Python24\Python.exe" "C:\Program Files\LilyPond\usr\bin\convert-ly.py"
> -e  "%1"

Did you use the package that Han-Wen mentions at
http://lists.gnu.org/archive/html/lilypond-user/2005-06/msg00625.html ?


   /Mats


_______________________________________________
lilypond-user mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-user